<?php  		
function add_new_agent(){
	global $wpdb; 
	$agents_form = array();			
	if(isset($_POST['agent_create'])){		
		if((isset($_POST["agent"]['name']) && empty($_POST["agent"]['agent_name']))){
			$agent_error= new WP_Error('err', __("Agent Name is required to create agent details"));
		}		
		elseif((isset($_POST["agent"]['contact']) && empty($_POST["agent"]['agent_contact']))){
			$agent_error= new WP_Error('err', __("Agent Contact is required to create agent details"));
		}
		elseif((isset($_POST["agent"]['contact']) && !is_numeric($_POST["agent"]['agent_contact']))){
			$agent_error= new WP_Error('err', __("Agent Contact enter only phone number"));
		}
		elseif((isset($_POST["agent"]['email']) && empty($_POST["agent"]['agent_email']))){
			$agent_error= new WP_Error('err', __("Agent Email is required to create agent details"));
		}	
		elseif((isset($_POST["agent"]['email']) && !is_email($_POST["agent"]['agent_email']))){
			$agent_error= new WP_Error('err', __("Agent Email address isn&#8217;t correct"));
		}
		elseif((isset($_POST["agent"]['email']) && !email_available($_POST["agent"]['agent_email']))){
			$agent_error= new WP_Error('err', __("Agent Email already added.please try another."));
		}				
		else
		{			
			$agent_name= $_POST["agent"]['agent_name'];
			$agent_contact_detail= $_POST["agent"]['agent_contact'];
			$agent_email=$_POST["agent"]['agent_email'];
			$agent_desc=$_POST["agent"]['agent_description'];
			$agent_photo = $_POST["agent"]['agent_upload_image'];
			$parent_term = term_exists( 'real_estate_agents_tax'); // array is returned if taxonomy is given
			$parent_term_id = $parent_term['term_id']; // get numeric term id
			wp_insert_term($agent_name,'real_estate_agents_tax',array('slug' => sanitize_title($agent_name),'parent'=> $parent_term_id));					
			$get_term_details = get_term_by('name', $agent_name, 'real_estate_agents_tax');
			$get_agent_details = $_POST['agent'];			
			$table  = $wpdb->prefix.'agents_metadata';									
			foreach($get_agent_details as $agent => $value){				
				$data = array(				
				'agent_term_id'=>$get_term_details->term_id,
				'agent_meta_key'=>$agent,
				'agent_meta_value'=>$value);
				$wpdb->insert($table, $data);				
			}					
			$old_url = full_url();
			$new_url = add_query_arg( 'added', 1,$old_url);	
			wp_redirect($new_url);
			ob_end_flush();
		}
	}
?>
<link rel="stylesheet" href="<?php echo get_bloginfo('siteurl');?>wp-content/plugins/agents/css/admin.css" />
<div class="wrap">
<?php if(isset($_GET['added']) || !is_null($_GET['added'])){$message = 'New agent added!';}?>
<?php agents_heading("create_agent"); ?>
<?php if (isset($agent_error) && is_wp_error($agent_error) )
        echo "<div class='wrap'><div class='error below-h2'><p>".$agent_error->get_error_message()."</p></div></div>";//updated ?>
<?php if(isset($message)) { ?>
<div id="message" class="updated below-h2">
  <p><?php echo $message; ?></p>
</div>
<?php }	?>
<div class='form-wrap' style="width:450px;">
  <h3>Add New Agent</h3>
  <form id="form_create_agent" action='<?php _e(CREATE_AGENT_FILE,'agent'); ?>' method='post' enctype='multipart/form-data'>
    <div class="form-field">
      <label for='agent[name]'>Agent Name</label>
      <input type='text' name='agent[agent_name]' class='name' id='agent[agent_name]' value="<?php echo $_POST["agent"]['name'];?>" />
      <p>It is usually all lowercase,uppercase and contains only letters, numbers, and hyphens.</p>
    </div>
    <div class="form-field">
      <label for='agent[contact]'>Agent Contact Number</label>
      <input type='text' name='agent[agent_contact]' class='name' id='agent[agent_contact]' value="<?php echo $_POST["agent"]['contact'];?>" />
      <p>It is usually only numbers.</p>
    </div>
    <div class="form-field">
      <label for='agent[email]'>Agent Email ID</label>
      <input type='text' name='agent[agent_email]' class='name' id='agent[agent_email]' value="<?php echo $_POST["agent"]['email'];?>" />
    </div>
    <div class="form-field">
      <label for='agent[description]'>About Agent</label>
      <textarea class="name" id="agent[description]" name="agent[agent_description]"><?php echo $_POST["agent"]['description'];?></textarea>     
    </div>
    <div class="form-field">
		<label for="upload_image">
        <input id="upload_image" type="text" size="36" name="agent[agent_upload_image]" value="" />
        <input id="upload_image_button" type="button" value="Upload Image" />
        <br />Upload an image for the agents details.
        </label>        
	</div>        
    <p class='submit'>
      <input type="submit"  name="agent_create" class="button-primary" value="Add Agent">
    </p>
  </form>
</div>
<?php
	}


?>
